/*
 * bind.c
 *
 * Copyright 2004, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 */


#include<unistd.h>
#include<sys/types.h>
#include<errno.h>
#include<sys/socket.h>
#include<netinet/in.h>
#include<sys/ip.h>


extern int _bind(int sockfd, const struct sockaddr *my_addr);


int bind(int sockfd, const struct sockaddr *my_addr, int addrlen)
{
	if (addrlen < sizeof(struct sockaddr_in))
		return _error(EINVAL);

	return _bind(sockfd,my_addr);
}
